{varType Skadmin\CampWideGame\Doctrine\CampWideGame\CampWideGame[] $campWideGames}
{varType Skadmin\CampWideGame\Doctrine\CampWideGame\CampWideGamePart[][] $campWideGameParts}

{snippet snipOverview}
    <div class="row">
        <div class="col-12 col-lg-6 col-xl-4 w-100 d-flex" n:foreach="$campWideGames as $campWideGame">
            <div class="card shadow mb-4">
                <a href="{plink ComponentFront:default package => $package, render => 'detail', id => $campWideGame->getId()}"
                   class="card-img-top text-center stretched-link border-bottom-0">
                    <img n:img="$campWideGame->getImagePreview(), '597x284', 'exact'" n:if="$campWideGame->getImagePreview()" alt="{$campWideGame->getName()}">
                </a>

                <div class="card-body py-2">
                    <div n:inner-foreach="$campWideGameParts[$campWideGame->getId()] as $part">
                        <span class="badge mr-1 px-2 mb-1 border border-primary">
                            {$part->getName()}
                        </span>
                    </div>
                    <h6 class="mb-0 mt-1 font-weight-bold text-primary">{$campWideGame->getName()}</h6>

                    {$campWideGame->getContent()|striptags|noescape|truncate:400}
                </div>
            </div>
        </div>
    </div>

    {control paginator}
{/snippet}